<?php
ob_start();

define( 'ABSPATH', dirname(__FILE__) . '/../../../../' );
require_once( ABSPATH . 'wp-config.php' ); 
require_once(ABSPATH . 'wp-includes/capabilities.php' ); 
if (current_user_can("manage_options")){ 

$themename = "Flexibility3";
$shortname = "flex";
$foldername = "flexibility3";
$options = array (
    
    array(  "name" => "Total blog width (in pixels)",
            "id" => $shortname."_blog_width",
            "std" => "920",
            "type" => "text",
			"descr" => "This is the total width of your blog including posts and sidebars.",
			"tab" => "2",
			"title" => "<td colspan=\"3\"><h2>Blog width controls</h2><p class=\"submit\"><input name=\"save\" type=\"submit\" value=\"Save changes\" /><input type=\"hidden\" name=\"action\" value=\"save\" /></p></td></tr><tr>"),
						
    array(  "name" => "Post content width",
            "id" => $shortname."_content_width",
            "std" => "560",
            "type" => "text",
			"descr" => "This is the width of the post section (the left side) of your blog. The sidebar will be automatically sized to fit."),	
	
	array(  "name" => "Show left sub-sidebar?",
            "id" => $shortname."_lsidebar_show",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"),
			"descr" => "Indicate if you want the left sub-sidebar in the right blog sidebar. Answering 'no' will make the right sub-sidebar (if shown) the full width of the sidebar."),
					
    array(  "name" => "Left sub-sidebar width",
            "id" => $shortname."_lsidebar_width",
            "std" => "190",
            "type" => "text",
			"descr" => "This is the width of the left sub-sidebar. If you want to make your sub-sidebars the same with as your top sidebar boxes so they stack, simply take your overall blog width, subtract your post width, and subtract 20 pixels for padding."),
	
	array(  "name" => "Show right sub-sidebar?",
            "id" => $shortname."_rsidebar_show",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"),
			"descr" => "Indicate if you want the right sub-sidebar in the right blog sidebar. Answering 'no' will make the left sub-sidebar (if shown) the full width of the sidebar."),
						
    array(  "name" => "Right sub-sidebar width",
            "id" => $shortname."_rsidebar_width",
            "std" => "130",
            "type" => "text",
			"descr" => "This is the width of the right sub-sidebar. If you want to make your sub-sidebars the same with as your top sidebar boxes so they stack, simply take your overall blog width, subtract your post width, and subtract 20 pixels for padding."),
	
						
    array(  "name" => "Blog background color",
            "id" => $shortname."_page_backgroundcolor",
            "std" => "526074",
            "type" => "color",
			"descr" => "Enter the background color for your blog",
			"tab" => "3",
			"title" => "<td colspan=\"3\"><h2>Blog background and border colors</h2><p class=\"submit\"><input name=\"save\" type=\"submit\" value=\"Save changes\" /><input type=\"hidden\" name=\"action\" value=\"save\" /></p></td></tr><tr>"),
			
			
	array(  "name" => "Blog background image",
            "id" => $shortname."_blog_bgimage",
            "type" => "select",
            "std" => "diaglines.png",
            "options" => array("diaglines.png", "batik.png", "diamonds.png", "faintdots.png", "feathers.png", "floral2.png", "grungestripes.png", "herringbone.png", "holes.png", "honeycomb.png", "retrovertical.png", "verticalfabric.png", "spongepaint.png", "minicheck.png", "carbonfiber.png", "cracks.png", "bigcheck.png", "verticallines.png", "horizontallines.png", "chainlink.png", "floral1.png", "dots.png", "bricks.png", "sanddunes.png", "texturecheck.png", "satin.png", "startiles.png", "money.png", "no background image", "custom background image"), 
			"descr" => "This is the image in the background behind your blog page. To use a custom image, set this option to 'custom background image' and add the full URL to your background image in the next option.<br/>New backgrounds! <a href=\"" . $url_base . "/images/backgrounds/backgrounds.php\" rel=\"shadowbox;height=600;width=980;\">View background graphic choices</a>"),	
	
    array(  "name" => "Blog background custom image",
            "id" => $shortname."_blog_custombg",
            "std" => "none",
            "type" => "text",
			"descr" => "To use your own custom background image, set the 'Blog background image' option to 'custom background image' and upload your image to the WP Media Library and paste the FULL URL to the image in the blank. Choose how the image repeats in the next option.<br/><img src=\"" . $url_base . "/images/priorusers.gif\" align=\"left\"/>Flexibility 2 and prior users will need to upload their image to the media library and enter the full URL in the blank."),
	
	array(  "name" => "Custom background image repeat",
            "id" => $shortname."_blog_bgrepeat",
            "type" => "select",
            "std" => "repeat",
            "options" => array("repeat", "repeat-x", "repeat-y", "no-repeat"), 
			"descr" => "If using a custom background image, you can control how the image repeats. 'Repeat' tiles the image both horizontally and vertically, 'repeat-x' repeats it across the top only, 'repeat-y' centers and repeats vertically, and 'no-repeat' centers it at the top and does not repeat."),	
	
	array(  "name" => "Show background top gradient?",
            "id" => $shortname."_blog_bgfade",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"),
			"descr" => "Indicate if you want the gradient effect to show in the background"),

    array(  "name" => "Blog border color",
            "id" => $shortname."_blog_bordercolor",
            "std" => "000000",
            "type" => "color",
			"descr" => "Enter the color for the border around the page"),
			
    array(  "name" => "Blog border width",
            "id" => $shortname."_blog_borderwidth",
            "std" => "2",
            "type" => "text",
			"descr" => "Enter the width of border for your blog in pixels"),
			
    array(  "name" => "Blog top margin",
            "id" => $shortname."_blog_margin",
            "std" => "15",
            "type" => "text",
			"descr" => "Enter the distance the top of the header is spaced from the top of the browser window."),
	
	 array(  "name" => "Blog text font (for post and sidebar text)",
            "id" => $shortname."_blog_font",
            "type" => "select",
            "std" => "Arial",
            "options" => array("Arial", "Georgia", "Verdana", "Trebuchet MS", "Lucida Grande", "Courier New", "Impact", "Comic Sans MS"),
			"descr" => "This is the font style for all your post and sidebar text",
			"tab" => "4",
			"title" => "<td colspan=\"3\"><h2>Blog Overall Settings</h2><p>These settings define the general fonts and colors for your site. Each individual section such as posts, sidebars and footer can be independently set under each section's specific option tab.</p><p class=\"submit\"><input name=\"save\" type=\"submit\" value=\"Save changes\" /><input type=\"hidden\" name=\"action\" value=\"save\" /></p></td></tr><tr>"),
	
    array(  "name" => "Blog text size",
            "id" => $shortname."_blog_size",
            "type" => "text",
            "std" => "12",
			"descr" => "Font size in pixels for post text, sidebar text and navigation text. Font size for post titles, blog title, etc. can be specified individually."),
	
    array(  "name" => "Blog text color outside of post area",
            "id" => $shortname."_blog_tc",
            "type" => "color",
            "std" => "333",
			"descr" => "This controls the color of unlinked text in the areas outside the posts. You have separate control over sidebar and post text color."),
	
	array(  "name" => "Blog link color outside of post area",
            "id" => $shortname."_blog_tclink",
            "type" => "color",
            "std" => "a10000",
			"descr" => "This controls the color of linked text in the areas outside the posts"),
			
    array(  "name" => "Blog content container background color",
            "id" => $shortname."_content_color",
			"type" => "color",
            "std" => "F0EBE3",
			"descr" => "This is the color of the page background behind the posts and sidebar"),
	
	array(  "name" => "Transparent header?",
            "id" => $shortname."_header_trans",
            "type" => "select",
            "std" => "no",
            "options" => array("no", "yes"), 
			"descr" => "Choosing 'yes' will remove the header background color and border. You can also remove the background image by selecting 'none' in the 'Header background image' option.",	
			"tab" => "5",
			"title" => "<td colspan=\"3\"><h2>Header settings</h2><p class=\"submit\"><input name=\"save\" type=\"submit\" value=\"Save changes\" /><input type=\"hidden\" name=\"action\" value=\"save\" /></p></td></tr><tr>"),

    array(  "name" => "Header background color",
            "id" => $shortname."_header_backgroundcolor",
            "std" => "A10000",
            "type" => "color",
			"descr" => "Enter your color for the header. If the header background image is semi-transparent, it will allow your color to show through."),
			
	array(  "name" => "Header background image",
            "id" => $shortname."_header_bg",
            "type" => "select",
            "std" => "Flare.png",
            "options" => array("Flare.png", "Carbonfiber.jpg", "Chrome.png", "Floral.png", "GrungeLines.png", "Herringbone.png", "Holes.png", "Mottled.png", "Swoosh.png", "VertStripes.png", "BlueSky.jpg", "ColoredPencils.jpg", "Cosmic.jpg", "Crosshatch.png", "Fade.png", "HappyFace.png", "Lines.png", "Love.png", "OceanSunset.jpg", "Peace.png", "RetroDrip.png", "Sand.png", "Stripes.png", "Sunflower.jpg", "Sunny.jpg", "YinYang.png", "Money.png", "None"), 
			"descr" => "Select the image you want to use for your header. You can also use your own custom image below. <br/>New Headers! <a href=\"" . $url_base . "/images/headers/headers.php\" rel=\"shadowbox;height=600;width=980;\">View header graphic choices</a>"),			
			
	array(  "name" => "Header custom image",
            "id" => $shortname."_head_image",
            "std" => "",
            "type" => "text",
			"descr" => "If you want to use a custom header image, upload to the WP Media Library and paste the FULL URL of the image in the blank. Make sure the 'Header background image' option above is set to any option other than 'None', as the 'None' option overrides the custom header image option.<br/><img src=\"" . $url_base . "/images/priorusers.gif\" align=\"left\"/>For Flexibility 2 and prior users, you will need to upload your image to the media library and use the full URL to the image."),
	
	array(  "name" => "Header height",
            "id" => $shortname."_head_height",
            "std" => "120",
            "type" => "text",
			"descr" => "If you want to make the header taller to accomodate a custom header image, enter the value in pixels here."),
	
	array(  "name" => "Title/Logo top padding",
            "id" => $shortname."_head_toppad",
            "std" => "20",
            "type" => "text",
			"descr" => "Enter the distance (in pixels) you want your title or logo to be positioned from the top of the header."),
			
     array(  "name" => "Blog logo",
            "id" => $shortname."_blog_logo",
            "std" => "",
			"type" => "text",
			"descr" => "If you want to use a logo graphic instead of text for your title and tagline, upload your logo to the WP Media Library and paste the FULL URL of the image in the blank below. If you leave this space blank, the default text title and tagline will be used. By including a transparent background in your logo, you can allow the background to show through."),
	 
	 array(  "name" => "Retain title/tagline for SEO? (if using logo)",
            "id" => $shortname."_title_seo",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"), 
 			"descr" => "If you are using a custom logo, it will replace the text title and tagline in the header. You can choose to still make the title/tagline visible to search engines by selecting 'yes' to this option. It uses a CSS technique to move the text off the screen but still keep it in the page code."),	
	
	array(  "name" => "Blog title font",
            "id" => $shortname."_title_font",
            "type" => "select",
            "std" => "Georgia",
            "options" => array("Georgia", "Verdana", "Arial", "Trebuchet MS", "Lucida Grande", "Courier New", "Impact", "Comic Sans MS"), 
			"descr" => "Select the font style to use for your blog title in the header"),
			
     array(  "name" => "Blog title font size",
            "id" => $shortname."_title_size",
            "std" => "34",
			"type" => "text",
			"descr" => "Blog title font size in pixels"),
			
     array(  "name" => "Blog title color",
            "id" => $shortname."_title_clr",
            "std" => "FFFFFF",
			"type" => "color",
			"descr" => "Enter the hex value for the blog title color"),
			
     array(  "name" => "Blog title hover color",
            "id" => $shortname."_title_hvr",
            "std" => "999",
			"type" => "color",
			"descr" => "Enter the hex value for the blog title when it is hovered over"),
			
    array(  "name" => "Tagline text color",
            "id" => $shortname."_tagline_color",
            "std" => "FFF",
            "type" => "color",
 			"descr" => "This is the text under your Blog title. Tip: to remove the tagline from showing but still show the title, just remove it from the Settings > General WP options."),
			
	array(  "name" => "Display search box in header?",
            "id" => $shortname."_search_visibility",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"), 
 			"descr" => "If you do not want to include the search box in the header, choose 'no'."),	
	
	 array(  "name" => "Search box default text",
            "id" => $shortname."_search_txt",
            "std" => "Search our site...",
            "type" => "text",
 			"descr" => "Enter the text you want to show in the search box by default."),
	
	array(  "name" => "Search box graphics",
            "id" => $shortname."_search_img",
            "type" => "select",
            "std" => "topmesh.png",
            "options" => array("topmesh.png", "aqua.png", "bevel.png", "blacksearch.png", "boxarrow.png", "magglass.png", "magglass2.png", "punch.png", "blackmag.png", "retro.png", "simple.png"), 
			"descr" => "Select the graphic for your search box. <a href=\"" . $url_base . "/images/searchboxes/searchboxes.php\" rel=\"shadowbox;height=600;width=980;\">View searchbox choices</a> <br />NOTE: If you choose any box other than the default \"topmesh\" you will need to add a top margin in the box below. 10-15 pixels works well."),		
			
    array(  "name" => "Search box top margin",
            "id" => $shortname."_search_margin",
            "std" => "0",
            "type" => "text",
 			"descr" => "Enter the number of pixels to space the search box down from the top edge of the header"),
	
		array(  "name" => "Display RSS subscription area?",
            "id" => $shortname."_subrss_visibility",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"), 
			"descr" => "If you want to completely remove the RSS subscription area including the icon, select no."),
	
	array(  "name" => "RSS icon image",
            "id" => $shortname."_rss_icon",
            "type" => "select",
            "std" => "rssglassyblack",
            "options" => array("rssglassyblack", "rssglassyblue", "rssglassybrown", "rssglassygray", "rssglassygreen", "rssglassyorange", "rssglassypurple", "rssglassyred", "rssnewspaper", "rssroundsticker", "rsssquare3d", "rss3d", "rssballoon", "rssbillboard", "rsscoffee", "rssglassy"), 
			"descr" => "Select the image you want to use for your header RSS icon.<br/><a href=\"" . $url_base . "/images/rssicons/rssicons.php\" rel=\"shadowbox;height=600;width=980;\">View icon choices</a>"),	
			
    array(  "name" => "Email subscription address",
            "id" => $shortname."_email_address",
            "std" => "",
            "type" => "text",
			"descr" => "Enter the full URL for your subscribe by email feed such as Feedburner. This will be the link from the Subscribe by Email link in the header.<br/><img src=\"" . $url_base . "/images/priorusers.gif\" align=\"left\"/>For Flexibility 2 and prior users, if you are NOT using a custom feed, you will need to delete the hash symbol (#) from the blank if present."),
						
    array(  "name" => "Subscription link color",
            "id" => $shortname."_rss_color",
            "std" => "FFFFFF",
            "type" => "color",
			"descr" => "Link color for the Subscribe to RSS feed lines"),
						
    array(  "name" => "Subscription hover color",
            "id" => $shortname."_rss_hover",
            "std" => "999",
            "type" => "color",
			"descr" => "Hover color for the Subscribe to RSS feed lines"),
	
    array(  "name" => "Show navigation?",
            "id" => $shortname."_nav_show",
            "type" => "select",
            "std" => "yes",
            "options" => array( "yes", "no"), 
			"descr" => "Indicate if you want to show the navigation on your site",	
			"tab" => "6",
			"title" => "<td colspan=\"3\"><h2>Navigation</h2><p class=\"submit\"><input name=\"save\" type=\"submit\" value=\"Save changes\" /><input type=\"hidden\" name=\"action\" value=\"save\" /></p></td></tr><tr>"),
	
	array(  "name" => "Navigation position",
            "id" => $shortname."_nav_position",
            "type" => "select",
            "std" => "above",
            "options" => array( "above", "below"), 
			"descr" => "Indicate if you want the blog navigation to appear above or below the header"),
	
    array(  "name" => "Navigation Home link display",
            "id" => $shortname."_nav_home",
            "type" => "select",
            "std" => "yes",
            "options" => array( "yes", "no"), 
			"descr" => "Indicate if you want a Home link to display in the navigation"),	
			
    array(  "name" => "Navigation tab style",
            "id" => $shortname."_nav_style",
            "type" => "select",
            "std" => "tabs",
            "options" => array( "tabs", "square tabs", "square tabs light", "reflect", "simple", "aqua", "indent", "arrowdark", "arrowlight", "cnn", "blackbar", "button", "basic"),  
			"descr" => "Choose the style of navigation buttons<br/>New menu styles available and existing menus were improved."),		   
			
    array(  "name" => "Navigation tab color",
            "id" => $shortname."_nav_color",
            "std" => "A10000",
			"type" => "color",
			"descr" => "Choose the color of the navigation tabs."),
			
    array(  "name" => "Navigation tab hover color",
            "id" => $shortname."_nav_tabhvr",
            "std" => "A10000",
			"type" => "color",
			"descr" => "This is the color the navigation tabs will turn when hovered over. The 'square tabs, 'square tabs light', 'reflect', 'simple' and 'black bar' options work best when using a hover color different from the tab color."),
	
	array(  "name" => "Navigation tab active color",
            "id" => $shortname."_nav_tabact",
            "std" => "A10000",
			"type" => "color",
			"descr" => "This is the color the navigation tabs will turn when you are on that page. The 'square tabs, 'square tabs light', 'reflect', 'simple' and 'black bar' options work best when using an active color different from the tab color."),
			
    array(  "name" => "Navigation text color",
            "id" => $shortname."_nav_txtclr",
            "std" => "FFFFFF",
			"type" => "color",
			"descr" => "Choose the color of the tab navigation links"),
			
    array(  "name" => "Navigation text hover/active color",
            "id" => $shortname."_nav_hvrcolor",
            "std" => "FFFFFF",
			"type" => "color",
			"descr" => "Choose the color of the tab navigation text when active or hovered"),
	
	array(   "name" => "Navigation font",
            "id" => $shortname."_nav_font",
			"std" => "Arial",
			"options" => array("Arial", "Arial Black", "Georgia", "Verdana", "Time New Roman", "Trebuchet MS", "Courier New", "Impact", "Comic Sans MS"),
            "type" => "select",
			"descr" => "Choose the style of font for your navigation"),
	
	array(    "name" => "Navigation font size",
            "id" => $shortname."_nav_txtsize",
			"std" => "12",
            "type" => "text",
			"descr" => "Enter the size (in pixels) of your navigation text"),
	
	array(   "name" => "Navigation font weight",
            "id" => $shortname."_nav_fontwt",
			"std" => "normal",
			"options" => array("normal", "bold"),
            "type" => "select",
			"descr" => "Enter the font weight of your navigation text"),
	
	array(   "name" => "Remove border",
            "id" => $shortname."_nav_border",
			"std" => "no",
			"options" => array("no", "yes"),
            "type" => "select",
			"descr" => "Selecting 'yes' to this option removes the border around the menu bar. This is only used if you have a background image that requires the menu bar to seamlessly blend into it."),
	
	array(   "name" => "Show sub-menu arrows",
            "id" => $shortname."_nav_showarrow",
			"std" => "true",
			"options" => array("true", "false"),
            "type" => "select",
			"descr" => "If you want to show arrows indicating a sub-menu, select 'true'"),
	
	array(    "name" => "Drop-down menu width",
            "id" => $shortname."_nav_subwidth",
			"std" => "150",
            "type" => "text",
			"descr" => "Enter the width (in pixels) of your drop-down menus",
			"title" => "<td colspan=\"3\"><h2>Drop-down Menus</h2></td></tr><tr>"), 
	
	array(    "name" => "Drop-down menu height",
            "id" => $shortname."_nav_subheight",
			"std" => "30",
            "type" => "text",
			"descr" => "Enter the height (in pixels) of your drop-down menus"),
	
	array(    "name" => "Drop-down menu background",
            "id" => $shortname."_nav_subback",
			"std" => "1F242C",
            "type" => "color",
			"descr" => "Choose the color of the background of your drop-down menus"),
	
	array(    "name" => "Drop-down menu background hover",
            "id" => $shortname."_nav_subhov",
			"std" => "3D4A57",
            "type" => "color",
			"descr" => "Choose the color of the background of your drop-down menus when hovered"),

	array(    "name" => "Drop-down menu font color",
            "id" => $shortname."_nav_subtext",
			"std" => "CCCCCC",
            "type" => "color",
			"descr" => "Choose the drop-down menu font"),
	
	array(    "name" => "Drop-down menu font hover",
            "id" => $shortname."_nav_subtexthov",
			"std" => "FFFFFF",
            "type" => "color",
			"descr" => "Choose the hover state drop-down menu font"),

	array(   "name" => "Drop-down menu border size",
            "id" => $shortname."_nav_subborder",
			"std" => "1",
            "type" => "text",
			"descr" => "Choose the thickness of border around your drop-down menus"),
	
	array(    "name" => "Drop-down menu border color",
            "id" => $shortname."_nav_subbrdrclr",
			"std" => "000000",
            "type" => "color",
			"descr" => "Choose the color of border"),
	
    array(  "name" => "Display optional feature section below header?",
            "id" => $shortname."_feat_display",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"),
			"descr" => "Indicate if you want to use the feature section below the header and above the post info and sidebar.",
			"tab" => "7",
			"title" => "<td colspan=\"3\"><h2>Optional Feature Section</h2><p class=\"submit\"><input name=\"save\" type=\"submit\" value=\"Save changes\" /><input type=\"hidden\" name=\"action\" value=\"save\" /></p><p>You can activate widgets in the Feature area to replace the default content, or edit the default content in the feature.php file.</p></td></tr><tr>"),
	
    array(  "name" => "Display feature on which blog pages?",
            "id" => $shortname."_feat_pages",
            "type" => "select",
            "std" => "home only",
            "options" => array("home only", "home and posts", "home, posts and pages", "all"),
			"descr" => "Select where you want the feature section to display in your blog."),
	
    array(  "name" => "Number of columns",
            "id" => $shortname."_feat_widgets",
            "type" => "select",
            "std" => "2",
            "options" => array("2", "1", "3", "4", "5", "6"),
			"descr" => "Enter the number of widgets or columns you need in the feature area. This is only to calculate the proper widths for the widget boxes. If you aren't using widgets, you can edit the default content of the feature area in the feature.php file included with the theme. Activating any widgets in the Feature_top location will replace the default info."),
	
	array(  "name" => "Show shadow images",
            "id" => $shortname."_feat_shadow",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"),
			"descr" => "Choose if you want the shadow effect images to show in the feature area"),
	
    array(  "name" => "Feature background color",
            "id" => $shortname."_feat_bgcolor",
            "std" => "1F242C",
            "type" => "color",
			"descr" => "Enter the background color of the feature box"),

    array(  "name" => "Feature text color",
            "id" => $shortname."_feat_txtcolor",
            "std" => "999",
            "type" => "color",
			"descr" => "Enter the color for unlinked text in the feature box"),
	
    array(  "name" => "Feature link color",
            "id" => $shortname."_feat_linkcolor",

            "std" => "CCC",
            "type" => "color",
			"descr" => "Enter the color for text links in the feature box"),
	
    array(  "name" => "Feature link hover color",
            "id" => $shortname."_feat_hovercolor",
            "std" => "FFF",
            "type" => "color",
			"descr" => "Enter the color for links when moused over"),
	
    array(  "name" => "Feature title size",
            "id" => $shortname."_feat_fontsize",
            "type" => "text",
            "std" => "18",
			"descr" => "Enter the font size in pixels for the titles of the feature area widgets"),
	
    array(  "name" => "Feature title color",
            "id" => $shortname."_feat_titlecolor",
            "std" => "FFF",
            "type" => "color",
			"descr" => "Enter the color for the feature area titles"),
	
	array(  "name" => "Feature bullet type",
            "id" => $shortname."_feat_bullet",
            "type" => "select",
            "std" => "light arrow",
            "options" => array("light arrow", "light square dot", "dark arrow", "dark square dot", "none"),
			"descr" => "If you have lists such as recent comments, this will be the bullet displayed to the side."),
			
    array(  "name" => "Post box background color",
            "id" => $shortname."_post_clr",
            "std" => "FFFFFF",
            "type" => "color",
			"descr" => "Enter the color of the box surrounding each post. If you don't want a box, simply make the page background (Blog General tab), box and border the same color and remove the post box padding.",
			"tab" => "8",
			"title" => "<td colspan=\"3\"><h2>Post style settings</h2><p class=\"submit\"><input name=\"save\" type=\"submit\" value=\"Save changes\" /><input type=\"hidden\" name=\"action\" value=\"save\" /></p></td></tr><tr>"),   

    array(  "name" => "Post box border color",
            "id" => $shortname."_post_brdr",
            "std" => "D7CAB5",
            "type" => "color",
			"descr" => "Color for the border around each post."),
			
    array(  "name" => "Post title font",
            "id" => $shortname."_post_font",
            "type" => "select",
            "std" => "Georgia",
            "options" => array("Georgia", "Verdana", "Arial", "Trebuchet MS", "Lucida Grande", "Courier New", "Impact", "Comic Sans MS"), 
			"descr" => "Choose the font style for your post titles and page headings",
			"title" => "<td colspan=\"3\"><h2>Post Title</h2></td></tr><tr>"),
	
	array(  "name" => "Post title alignment",
            "id" => $shortname."_post_titalign",
            "type" => "select",
            "std" => "left",
            "options" => array("left", "center"), 
			"descr" => "Choose the alignment of your post/page titles"),
						
    array(  "name" => "Post title color",
            "id" => $shortname."_post_color",
            "std" => "333",
            "type" => "color",
			"descr" => "Color for the titles of your blog posts"),
	
	array(  "name" => "Post title background color",
            "id" => $shortname."_post_titlebg",
            "std" => "FFF",
            "type" => "color",
			"descr" => "Color for the box around the post titles"),
						
    array(  "name" => "Post title hover color",
            "id" => $shortname."_post_hover",
            "std" => "999",
            "type" => "color",
			"descr" => "Color of your post title when a user places their mouse on it"),
			
    array(  "name" => "Post title font size (in pixels)",
            "id" => $shortname."_post_size",
            "std" => "22",
			"type" => "text",
			"descr" => "Size of the post title font"),
						
    array(  "name" => "Post title font weight",
            "id" => $shortname."_post_weight",
            "type" => "select",
            "std" => "normal",
            "options" => array("normal", "bold"),
			"descr" => "Boldness of the post title font"),
	
	array(  "name" => "Post title top/bottom padding",
            "id" => $shortname."_post_h1pad",
            "std" => "8",
			"type" => "text",
			"descr" => "Enter the amount of padding (in pixels) to add to the top and bottom of post/page titles"),
	
	array(  "name" => "Post title underline style",
            "id" => $shortname."_ptitle_uline",
            "type" => "select",
            "std" => "solid",
            "options" => array( "solid", "dotted", "double"),
			"descr" => "This defines the style of line beneath the post titles"),
			
    array(  "name" => "Post title underline thickness",
            "id" => $shortname."_ptitle_ulines",
            "std" => "1",
            "type" => "text",
			"descr" => "Indicate the thickness in pixels for your post title underline"),
			
    array(  "name" => "Post title underline color",
            "id" => $shortname."_ptitle_ulinec",
            "std" => "EEE",
            "type" => "color",
			"descr" => "Indicate the color of underline you wish to use under your post titles"),
	
	array(  "name" => "Display post date, time and comments link",
            "id" => $shortname."_metadata_show",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"), 
			"descr" => "Indicate if you want to display the box under the post title showing the date, time and comments link.<br/><strong>Setting this option to 'no' will disable ALL COMMENTS on your site. Only do this if you do not want to have any site comments.</strong>",
			"title" => "<td colspan=\"3\"><h2>Post Date/Comments</h2></td></tr><tr>"),
	
	array(  "name" => "Post date and time background color",
            "id" => $shortname."_metadata_color",
            "std" => "FFF",
            "type" => "color",
			"descr" => "If you selected 'Yes' above, choose the color for the date and time background"),
	
	array(  "name" => "Display gradient background in post date box?",
            "id" => $shortname."_metadata_bg",
            "type" => "select",
            "std" => "no",
            "options" => array("no", "yes"), 
			"descr" => "Indicate if you want the gradient in the post date box. This is so you can have the appearance of no background if needed."),
	
	array(  "name" => "Post date and time text link color",
            "id" => $shortname."_metadata_link",
            "std" => "666",
            "type" => "color",
			"descr" => "Choose the color of text in the post date/time box"),

	array(  "name" => "Post text color",
            "id" => $shortname."_posttext_color",
            "std" => "333",
            "type" => "color",
			"descr" => "This is the color of any unlinked text in the post area",
			"title" => "<td colspan=\"3\"><h2>Post Text/Links</h2></td></tr><tr>"),
						
    array(  "name" => "Post text link color",
            "id" => $shortname."_link_color",
            "std" => "A10000",
            "type" => "color",
			"descr" => "This is the color of any links in your blog posts"),
						
    array(  "name" => "Post link hover color",
            "id" => $shortname."_link_hover",
            "std" => "000000",
            "type" => "color",
			"descr" => "This is the color links will turn when moused over"),
	
	array(  "name" => "Post link underline",
            "id" => $shortname."_link_und",
            "type" => "select",
            "std" => "no",
            "options" => array("no", "yes"), 
			"descr" => "Choose if you want your post links to be underlined"),
						
    array(  "name" => "Blockquote background color",
            "id" => $shortname."_bquote_color",
            "std" => "CCC",
            "type" => "color",
			"descr" => "Background color for blockquotes in posts and comments",
			"title" => "<td colspan=\"3\"><h2>Blockquotes</h2></td></tr><tr>"),
			
    array(  "name" => "Blockquote border color",
            "id" => $shortname."_bquote_border",
            "std" => "999",
            "type" => "color",
			"descr" => "Color for the border that surrounds a blockquote"),

	array(  "name" => "Show Tags below each post?",
            "id" => $shortname."_show_tags",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"), 
			"descr" => "This shows the tags associated with each post in a \"Tagged with: tag 1, tag 2\" format.",
			"title" => "<td colspan=\"3\"><h2>Tags/Categories/RSS</h2></td></tr><tr>"),

	array(  "name" => "Show Categories below each post?",
            "id" => $shortname."_show_cats",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"), 
			"descr" => "This shows the categories for each post right under the Tags in a \"Filed under: category 1, category 2\" format."),
	
	array(  "name" => "Show Tags/Categories on front page or just posts?",
            "id" => $shortname."_show_where",
            "type" => "select",
            "std" => "just posts",
            "options" => array("just posts", "both"), 
			"descr" => "Choose if you want your choice of tabs and/or categories to show on the front page of your blog."),
	
	array(  "name" => "Show \"Like this post\" RSS subscribe below each post?",
            "id" => $shortname."_show_like",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"), 
			"descr" => "This shows the \"Like this post? Subscribe to my RSS feed and get loads more!\" text below each post."),
	
    array(  "name" => "Page navigation background color",
            "id" => $shortname."_pagenavi_bg",
            "std" => "A79789",
            "type" => "color",
			"descr" => "This is the background color for the pagination buttons below the posts",
			"title" => "<td colspan=\"3\"><h2>Page Navigation</h2></td></tr><tr>"),
	
    array(  "name" => "Page navigation hover color",
            "id" => $shortname."_pagenavi_hover",
            "std" => "7A6758",
            "type" => "color",
			"descr" => "This is the color of the pagination buttons when moused over"),
	
    array(  "name" => "Page navigation active color",
            "id" => $shortname."_pagenavi_active",
            "std" => "900000",
            "type" => "color",
			"descr" => "This is the color of the pagination buttons when on that page is active"),
	
    array(  "name" => "Page navigation text color",
            "id" => $shortname."_pagenavi_text",
            "std" => "FFFFFF",
            "type" => "color",
			"descr" => "This is the color of the pagination button text"),
						
    array(  "name" => "Comments background color",
            "id" => $shortname."_comments_background",
            "std" => "F9F7F2",
            "type" => "color",
			"descr" => "This is the color of the background box that surrounds comments. The comments alternate between this color and a slighly lighter version of the same color.",
			"tab" => "9",
			"title" => "<td colspan=\"3\"><h2>Comments settings</h2><p class=\"submit\"><input name=\"save\" type=\"submit\" value=\"Save changes\" /><input type=\"hidden\" name=\"action\" value=\"save\" /></p></td></tr><tr>"),
						
    array(  "name" => "Comments border color",
            "id" => $shortname."_comments_border",
            "std" => "D7CAB5",
            "type" => "color",
			"descr" => "This is the color of the border of the comments box"),
	
	array(  "name" => "Author/Admin comment color",
            "id" => $shortname."_admin_comments",
            "std" => "D7CAB5",
            "type" => "color",
			"descr" => "If you want a different color comment box for author/admin, enter it here."),
	
	array(  "name" => "Comments text color",
            "id" => $shortname."_comments_text",
            "std" => "333",
            "type" => "color",
			"descr" => "This is the text color inside the comment boxes"),
	
	array(  "name" => "Comments link color",
            "id" => $shortname."_comments_link",
            "std" => "A10000",
            "type" => "color",
			"descr" => "This is the color of the links in the comments"),
	
	array(  "name" => "Comments link underline",
            "id" => $shortname."_comments_linkund",
            "type" => "select",
            "std" => "no",
            "options" => array("no", "yes"), 
			"descr" => "Choose if you want comment links to be underlined (includes commenter name)"),
	
	array(  "name" => "Comments reply button color",
            "id" => $shortname."_comments_reply",
            "std" => "A10000",
            "type" => "color",
			"descr" => "Color of the reply button if using nested comments"),
						
    array(  "name" => "Comments submit button color",
            "id" => $shortname."_comments_button",
            "std" => "A10000",
            "type" => "color",
			"descr" => "Color of the comments submit button"),
						
    array(  "name" => "Comments submit button font color",
            "id" => $shortname."_comments_buttext",
            "std" => "FFF",
            "type" => "color",
			"descr" => "Color of the font used in the comments submit button"),
	
			
	array(  "name" => "Top sidebar box visibility",
            "id" => $shortname."_sidebar_visibility",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"), 
			"descr" => "Indicate if you want the top sidebar boxes on your blog. If you only want the sub-sidebars visible, select 'no' (and make sure they are set to show under the Blog Widths tab).",
			"tab" => "10",
			"title" => "<td colspan=\"3\"><h2>Top sidebar box settings</h2><p class=\"submit\"><input name=\"save\" type=\"submit\" value=\"Save changes\" /><input type=\"hidden\" name=\"action\" value=\"save\" /></p></td></tr><tr>"),
	
    array(  "name" => "Top sidebar box title",
            "id" => $shortname."_sidebar_toptitle",
            "std" => "About my blog",
            "type" => "text",
			"descr" => "This is the title of the default top sidebar box. If you enable the top sidebar widgets, this will not be visible."),
						
    array(  "name" => "Top sidebar box text",
            "id" => $shortname."_sidebar_boxtext",
            "std" => "You can easily change this information in the Flexibility Theme Options page.<br/><br/> Simply type what you want to say and it will be displayed here!",
            "type" => "textarea",
			"descr" => "You can edit the text in the included top sidebar box by typing any HTML formatted text in this box. The code is already wrapped in paragraph tags, so use HTML br tags to separate paragraphs"),
					
    array(  "name" => "Top sidebar boxes background color",
            "id" => $shortname."_sidebar_boxcolor",
            "std" => "F9F7F2",
            "type" => "color",
			"descr" => "This is the background color of the wide boxes in the top right sidebar"),
			
	array(  "name" => "Top sidebar boxes title font",
            "id" => $shortname."_sidebar_topfont",
            "type" => "select",
            "std" => "Arial",
            "options" => array("Arial", "Georgia", "Verdana", "Trebuchet MS", "Lucida Grande", "Courier New", "Impact", "Comic Sans MS"),
			"descr" => "Choose the font style for your top sidebar box titles"),
			
    array(  "name" => "Top sidebar boxes title font size",
            "id" => $shortname."_sidebar_tfontsize",
            "std" => "14",
            "type" => "text",
			"descr" => "Select the size (in pixels) of the title font in your top sidebar boxes"),
			
	array(  "name" => "Top sidebar boxes font case modifier",
            "id" => $shortname."_sidebar_case",
            "type" => "select",
            "std" => "none",
            "options" => array("none", "uppercase", "lowercase"),
			"descr" => "This changes the title font for your top sidebar boxes to the setting you specify"),
			
    array(  "name" => "Top sidebar boxes title font spacing",
            "id" => $shortname."_sidebar_tfontspace",
            "std" => "0",
            "type" => "text",
			"descr" => "This setting (in pixels) modifies the title font spacing. To spread out the letters, use a value greater than zero, to squeeze them together, use a value of -1"),
	
	array(  "name" => "Widget title alignment",
            "id" => $shortname."_sidebar_align",
            "type" => "select",
            "std" => "left",
            "options" => array("left", "center"),
			"descr" => "Choose to align widget titles left or center"),
											
    array(  "name" => "Top sidebar title color",
            "id" => $shortname."_sidebar_title",
            "std" => "FFF",
            "type" => "color",
			"descr" => "This is the color of the titles of the top sidebar boxes"),
			
    array(  "name" => "Top sidebar boxes title background color",
            "id" => $shortname."_sidebar_titlebackground",
            "std" => "A10000",
            "type" => "color",
			"descr" => "This is the color of the box surrounding the titles of your top sidebar boxes"),
	
	array(  "name" => "Show arrow next to title?",
            "id" => $shortname."_sidebar_arrow",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"),
			"descr" => "Choose whether you want the down arrow next to your title"),
						
    array(  "name" => "Top sidebar boxes border color",
            "id" => $shortname."_sidebar_boxborder",
            "std" => "D7CAB5",
            "type" => "color",
			"descr" => "This is the border color of the top sidebar boxes"),
						
    array(  "name" => "Top sidebar boxes text color",
            "id" => $shortname."_sidebar_textcolor",
            "std" => "333",
            "type" => "color",
			"descr" => "This is the color of unlinked text in the top sidebar boxes"),
						
    array(  "name" => "Top sidebar boxes link color",
            "id" => $shortname."_sidebar_textlink",
            "std" => "333",
            "type" => "color",
			"descr" => "This is the color of links in your top sidebar boxes"),
			
    array(  "name" => "Top sidebar boxes hover color",
            "id" => $shortname."_sidebar_hovercolor",
            "std" => "A10000",
            "type" => "color",
			"descr" => "This is the color links will turn when hovered over with the mouse"),
			
	array(  "name" => "Top sidebar boxes list item bullet",
            "id" => $shortname."_sidebar_list",
            "type" => "select",
            "std" => "dark arrow",
            "options" => array("dark arrow", "dark square dot", "light arrow", "light square dot", "none"),
			"descr" => "Choose the graphic to display on the left side of each list item. If your background is darker, choose a light version and vice versa."),
			
    array(  "name" => "Sub-sidebar title color",
            "id" => $shortname."_lsidebar_titlecolor",
            "std" => "A10000",
            "type" => "color",
			"descr" => "Color for the titles of the lower sidebar categories and widgets",
			"tab" => "11",
			"title" => "<td colspan=\"3\"><h2>Sub-sidebar settings</h2><p class=\"submit\"><input name=\"save\" type=\"submit\" value=\"Save changes\" /><input type=\"hidden\" name=\"action\" value=\"save\" /></p></td></tr><tr>"),
			
	array(  "name" => "Sub-sidebar categories title font",
            "id" => $shortname."_sidebar_ssfont",
            "type" => "select",
            "std" => "Arial",
            "options" => array("Arial", "Georgia", "Verdana", "Trebuchet MS", "Lucida Grande", "Courier New", "Impact", "Comic Sans MS"),
			"descr" => "Choose the font style for your top sidebar box titles"),
			
    array(  "name" => "Sub-sidebar categories title font size",
            "id" => $shortname."_sidebar_ssfontsize",
            "std" => "15",
            "type" => "text",
			"descr" => "Select the size (in pixels) of the title font in your sub-sidebar categories"),
			
	array(  "name" => "Sub-sidebar title font case modifier",
            "id" => $shortname."_sidebar_scase",
            "type" => "select",
            "std" => "uppercase",
            "options" => array("uppercase", "lowercase", "none"),
			"descr" => "This changes the title font for your top sidebar boxes to the setting you specify"),
			
    array(  "name" => "Sub-sidebar title font spacing",
            "id" => $shortname."_sidebar_sfontspace",
            "std" => "0",
            "type" => "text",
			"descr" => "This setting (in pixels) modifies the title font spacing. To spread out the letters, use a value greater than zero, to squeeze them together, use a value of -1"),
	
	array(  "name" => "Widget title alignment",
            "id" => $shortname."_sidebar_salign",
            "type" => "select",
            "std" => "left",
            "options" => array("left", "center"),
			"descr" => "Choose to align widget titles left or center"),
			
	array(  "name" => "Sub-sidebar title underline style",
            "id" => $shortname."_sidebar_uline",
            "type" => "select",
            "std" => "solid",
            "options" => array("solid", "dotted", "double"),
			"descr" => "This defines the style of line beneath the sub-sidebar category titles"),
			
    array(  "name" => "Sub-sidebar title underline thickness",
            "id" => $shortname."_sidebar_ulines",
            "std" => "1",
            "type" => "text",
			"descr" => "Indicate the thickness in pixels for your title underline"),
			
    array(  "name" => "Sub-sidebar title underline color",
            "id" => $shortname."_sidebar_ulinec",
            "std" => "999",
            "type" => "color",
			"descr" => "Indicate the color of underline you wish to use under your sub-sidebar category titles"),

    array(  "name" => "Sub-sidebar text color",
            "id" => $shortname."_lsidebar_txtcolor",
            "std" => "666",
            "type" => "color",
			"descr" => "Non-linking text color for the sub-sidebars"),
			
    array(  "name" => "Sub-sidebar link color",
            "id" => $shortname."_lsidebar_linkcolor",
            "std" => "666",
            "type" => "color",
			"descr" => "Link color for the sub-sidebars"),
						
    array(  "name" => "Sub-sidebar hover color",
            "id" => $shortname."_lsidebar_hovercolor",
            "std" => "A10000",
            "type" => "color",
			"descr" => "Hover color for sub-sidebars when links are moused over"),
			
	array(  "name" => "Lower sidebars list item bullet",
            "id" => $shortname."_lsidebar_list",
            "type" => "select",
            "std" => "dark arrow",
            "options" => array("dark arrow", "dark square dot", "light arrow", "light square dot", "none"),
			"descr" => "Choose the graphic to display on the left side of each list item. If your background is darker, choose a light version and vice versa."),
	
    array(  "name" => "Footer background color",
            "id" => $shortname."_footer_color",
            "std" => "6b0000",
            "type" => "color",
			"descr" => "Color of the footer section",
			"tab" => "12",
			"title" => "<td colspan=\"3\"><h2>Footer settings</h2><p class=\"submit\"><input name=\"save\" type=\"submit\" value=\"Save changes\" /><input type=\"hidden\" name=\"action\" value=\"save\" /></p></td></tr><tr>"),
	
	array(  "name" => "Show footer fade image",
            "id" => $shortname."_footer_bgimg",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"),
			"descr" => "Select if you want the fade to show in the footer"),
	
	array(  "name" => "Use footer feature section?",
            "id" => $shortname."_foot_feature",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"),
			"descr" => "Indicate if you want to show the feature section in the footer. The default content can be customized in the footer.php file, or you can activate a widget in it's place."),
	
    array(  "name" => "Number of footer columns",
            "id" => $shortname."_foot_widgets",
            "type" => "select",
            "std" => "2",
            "options" => array("2", "1", "3", "4", "5", "6"),
			"descr" => "Enter the number of widgets or columns you need in the feature area. This is only to calculate the proper widths for the widget boxes. If you aren't using widgets, you can edit the default content of the feature area in the footer.php file included with the theme. Activating any widgets in the Footer location will replace the default info."),
			
	array(  "name" => "Footer text color",
            "id" => $shortname."_footer_text",
            "std" => "e0e0e0",
            "type" => "color",
			"descr" => "Unlinked text color in the footer"),
						
	array(  "name" => "Footer link and widget title color",
            "id" => $shortname."_footer_link",
            "std" => "ffcc00",
            "type" => "color",
			"descr" => "Color of links in the footer. Hover color is the same color."),
	
	array(  "name" => "Footer widget title size",
            "id" => $shortname."_footer_widtitle",
            "std" => "21",
            "type" => "text",
			"descr" => "Size in pixels of the feature widget titles (h2 tags)"),
	
	array(  "name" => "Footer list item bullet",
            "id" => $shortname."_foot_list",
            "type" => "select",
            "std" => "light arrow",
            "options" => array("light arrow", "light square dot", "dark arrow", "dark square dot", "none"),
			"descr" => "Choose the graphic to display on the left side of each list item. If your background is darker, choose a light version and vice versa."),
	
	array(  "name" => "Additional Footer Links",
            "id" => $shortname."_foot_links",
            "type" => "somecode",
            "std" => "",
			"descr" => "You can add extra footer links or text by adding them here. Use normal HTML link tags for link creation."),
	
	
	array(  "name" => "AdSense publisher ID",
            "id" => $shortname."_adsense_id",
            "std" => "",
            "type" => "text",
			"descr" => "Enter your AdSense publisher ID.  Your publisher ID is found at the top right-hand corner when you log into your AdSense account and is in this format: pub-xxxxxxxxxxxx.",
			"tab" => "13",
			"title" => "<td colspan=\"3\"><h2>AdSense/Banner Ad Settings</h2><p class=\"submit\"><input name=\"save\" type=\"submit\" value=\"Save changes\" /><input type=\"hidden\" name=\"action\" value=\"save\" /></p><p>These are the settings where you can control the display of AdSense ads on your blog. Simply paste your AdSense publisher ID into the box, choose your ad sizes, colors and display locations. The color settings apply to all ad units.</p><p>Upgrade to <a href=\"http://www.flexsqueeze.com\">FlexSqueeze theme</a> and you can not only use Adsense, but ANY ads include HTML or JavaScript banner ads, text ads or other CPC or CPA ads in each of the locations below.</td></tr><tr>"),
						
	array(  "name" => "Location 1: Leaderboard under header",
            "id" => $shortname."_adsense_loc1",
            "type" => "select",
            "std" => "no",
            "options" => array("no", "yes"), 
			"descr" => "Indicate if you want a leaderboard ad across the top of the page just below the header on your post pages. The blog must be a minimum of 760 pixels wide to accomodate the ad.",
			"title" => "<td colspan=\"3\"><h2>Leaderboard Ad</h2></td></tr><tr>"), 
			
	array(  "name" => "Location 1 ad unit size",
            "id" => $shortname."_adsense_loc1size",
            "type" => "select",
            "std" => "728x90",
            "options" => array("728x90"), 
			"descr" => "Choose the size of ad to display at the selected location. Make sure your layout widths allow for the size of ad you are selecting!"),
			
	array(  "name" => "Leaderboard ad unit type",
            "id" => $shortname."_adsense_loc1type",
            "type" => "select",
            "std" => "text_image",
            "options" => array("text_image", "text", "image"), 
			"descr" => "Choose the type of ad to display for this ad block. <br/><strong>text_image</strong> - displays both text and image ads <br/><strong>text</strong> - displays only text ads <br/><strong>image</strong> - displays only image ads"),
	
    array(  "name" => "Location 1 AdSense channel",
            "id" => $shortname."_adsense_loc1channel",
            "std" => "",
            "type" => "text",
			"descr" => "If you are using AdSense channels, enter your channel here"),
	
		
	array(  "name" => "Location 2: Top of right sidebar",
            "id" => $shortname."_adsense_loc2",
            "type" => "select",
            "std" => "no",
            "options" => array("no", "yes"), 
			"descr" => "Indicate whether you want to display an AdSense block at the top of the right sidebar",
			"title" => "<td colspan=\"3\"><h2>Top of Right Sidebar</h2></td></tr><tr>"), 
			
	array(  "name" => "Location 2 ad unit size",
            "id" => $shortname."_adsense_loc2size",
            "type" => "select",
            "std" => "none",
            "options" => array("234x60", "120x240", "180x150", "200x200", "250x250", "300x250", "336x280"), 
			"descr" => "Choose the size of ad to display at the selected location. Make sure your layout widths allow for the size of ad you are selecting!"),
			
	array(  "name" => "Location 2 ad unit type",
            "id" => $shortname."_adsense_loc2type",
            "type" => "select",
            "std" => "text_image",
            "options" => array("text_image", "text", "image"), 
			"descr" => "Choose the type of ad to display for this ad block (see descriptions under Location 1 ad unit type)"),
	
    array(  "name" => "Location 2 AdSense channel",
            "id" => $shortname."_adsense_loc2channel",
            "std" => "",
            "type" => "text",
			"descr" => "If you are using AdSense channels, enter your channel here"),
	
				
	array(  "name" => "Location 3: Left sub-sidebar",
            "id" => $shortname."_adsense_loc3",
            "type" => "select",
            "std" => "no",
            "options" => array("no", "yes"), 
			"descr" => "Indicate if you want an ad block to display in your left sub-sidebar",
			"title" => "<td colspan=\"3\"><h2>Left Sub-Sidebar</h2></td></tr><tr>"), 
			
	array(  "name" => "Location 3 ad unit size",
            "id" => $shortname."_adsense_loc3size",
            "type" => "select",
            "std" => "",
            "options" => array("234x60", "125x125", "120x240", "120x600", "160x600", "180x150", "200x200", "250x250", "300x250", "336x280"), 
			"descr" => "Choose the size of ad to display at the selected location. Make sure your layout widths allow for the size of ad you are selecting!"),
			
	array(  "name" => "Location 3 ad unit type",
            "id" => $shortname."_adsense_loc3type",
            "type" => "select",
            "std" => "text_image",
            "options" => array("text_image", "text", "image"), 
			"descr" => "Choose the type of ad to display for this ad block (see descriptions under Location 1 ad unit type)"),
	
    array(  "name" => "Location 3 AdSense channel",
            "id" => $shortname."_adsense_loc3channel",
            "std" => "",
            "type" => "text",
			"descr" => "If you are using AdSense channels, enter your channel here"),
	
		
	array(  "name" => "Location 4: Top of each post",
            "id" => $shortname."_adsense_loc4",
            "type" => "select",
            "std" => "no",
            "options" => array("no", "yes"), 
			"descr" => "Indicate if you want an ad block to display at the top of each post",
			"title" => "<td colspan=\"3\"><h2>Top of Posts</h2></td></tr><tr>"), 
			
	array(  "name" => "Location 4 ad unit size",
            "id" => $shortname."_adsense_loc4size",
            "type" => "select",
            "std" => "",
            "options" => array("468x60", "234x60", "180x150", "200x200", "250x250", "300x250", "336x280"), 
			"descr" => "Choose the size of ad to display at the selected location. Make sure your layout widths allow for the size of ad you are selecting!"),
			
	array(  "name" => "Location 4 ad unit type",
            "id" => $shortname."_adsense_loc4type",
            "type" => "select",
            "std" => "text_image",
            "options" => array("text_image", "text", "image"), 
			"descr" => "Choose the type of ad to display for this ad block (see descriptions under Location 1 ad unit type)"),
	
    array(  "name" => "Location 4 AdSense channel",
            "id" => $shortname."_adsense_loc4channel",
            "std" => "",
            "type" => "text",
			"descr" => "If you are using AdSense channels, enter your channel here"),
	
			
	array(  "name" => "Location 5: Bottom of each post",
            "id" => $shortname."_adsense_loc5",
            "type" => "select",
            "std" => "no",
            "options" => array("no", "yes"), 
			"descr" => "Indicate if you want an ad block to display at the bottom of each post",
			"title" => "<td colspan=\"3\"><h2>Bottom of Posts</h2></td></tr><tr>"), 
			
	array(  "name" => "Location 5 ad unit size",
            "id" => $shortname."_adsense_loc5size",
            "type" => "select",
            "std" => "",
            "options" => array("468x60", "234x60", "180x150", "200x200", "250x250", "300x250", "336x280"), 
			"descr" => "Choose the size of ad to display at the selected location. Make sure your layout widths allow for the size of ad you are selecting!"),
			
	array(  "name" => "Location 5 ad unit type",
            "id" => $shortname."_adsense_loc5type",
            "type" => "select",
            "std" => "text_image",
            "options" => array("text_image", "text", "image"), 
			"descr" => "Choose the type of ad to display for this ad block (see descriptions under Location 1 ad unit type)"),
	
    array(  "name" => "Location 5 AdSense channel",
            "id" => $shortname."_adsense_loc5channel",
            "std" => "",
            "type" => "text",
			"descr" => "If you are using AdSense channels, enter your channel here"),
	
			
	array(  "name" => "Ad unit border color",
            "id" => $shortname."_adsense_brdr",
            "std" => "FFFFFF",
            "type" => "color",
			"descr" => "Color of the border around your ad",
			"title" => "<td colspan=\"3\"><h2>AdSense Colors</h2></td></tr><tr>"), 
			
	array(  "name" => "Ad unit background color",
            "id" => $shortname."_adsense_back",
            "std" => "FFFFFF",
            "type" => "color",
			"descr" => "Color of the ad background"),
			
	array(  "name" => "Ad unit link color",
            "id" => $shortname."_adsense_link",
            "std" => "0000CC",
            "type" => "color",
			"descr" => "Color of the main link in the ad"),
			
	array(  "name" => "Ad unit text color",
            "id" => $shortname."_adsense_text",
            "std" => "000000",
            "type" => "color",
			"descr" => "Color of the ad copy"),
			
	array(  "name" => "Ad unit URL color",
            "id" => $shortname."_adsense_url",
            "std" => "666666",
            "type" => "color",
			"descr" => "Color of the URL at the bottom of the ads"),
	
	array(  "name" => "Google Analytics Web Property ID",
            "id" => $shortname."_analytics_id",
            "std" => "",
            "type" => "text",
			"descr" => "Enter your Google Analytics web property ID. You can find it in Analytics Settings > Profile Settings > Tracking Code. Looks like UA-XXXXXXX-XX (enter the entire value with the UA included)",
			"tab" => "14",
			"title" => "<td colspan=\"3\"><h2>Google Analytics</h2><p class=\"submit\"><input name=\"save\" type=\"submit\" value=\"Save changes\" /><input type=\"hidden\" name=\"action\" value=\"save\" /></p><p>Enter your Google Analytics Web Property ID in the blank after setting up your analytics tracking for your blog.</td></tr><tr>"),
	
	array(  "name" => "Footer Scripts",
            "id" => $shortname."_footer_script",
            "std" => "",
            "type" => "somecode",
			"descr" => "If you need to ad custom javascript to your theme footer, paste it here. Can also be used as an alternative to the analytics option above if you want to paste the full code."),
	
	array(  "name" => "Condense CSS code",
            "id" => $shortname."_css_pack",
            "type" => "select",
            "std" => "yes",
            "options" => array("yes", "no"),
			"tab" => "15",
			"descr" => "Selecting 'yes' to this option will condense the theme CSS code into a smaller file resulting in faster load time, but less readability.",
			"title" => "<td colspan=\"3\"><h2>Custom CSS and Style Sheet Optimization</h2><p class=\"submit\"><input name=\"save\" type=\"submit\" value=\"Save changes\" /><input type=\"hidden\" name=\"action\" value=\"save\" /></td></tr><tr>"),
	
	array(  "name" => "Custom CSS Code",
            "id" => $shortname."_customcss",
            "std" => "",
            "type" => "somecode",
			"descr" => "Enter any custom CSS code you need to load with your style sheet")

);

add_action('admin_menu', 'flexibility_add_admin'); 

function flexibility_add_admin() {
	$themename = "Flexibility3";
    $page0 = add_theme_page($themename." Options", $themename . " Theme Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
	add_action("admin_print_scripts-$page0", 'add_script');
	add_action("admin_print_styles-$page0",'add_script');
}


function themechange()
{	
	global $foldername;
	$flexss = ".."."/wp-content/themes/". $foldername .""."/"."style.css";
	if (is_writable($flexss)) {
 
    ob_start(); 
	include(TEMPLATEPATH . '/style.php' );

    $ss = ob_get_contents();
 	ob_end_clean();
 
 	$fp=fopen($flexss,"w");
if (get_option('flex_css_pack') == "yes") { 	
	$ss = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $ss);
	$ss = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $ss);
	$pre = '/*  
Theme Name: Flexibility3
Theme URI: http://www.flexibilitytheme.com/
Description: Flexibility Theme allows you to unleash your creativity without having to know code!
Version: 1.0
Author: Advantus Media, Inc.
Author URI: http://www.flexibilitytheme.com
Tags: dark, light, two-columns, custom-colors, custom-header, theme-options, right-sidebar, threaded-comments
*/
';

$ss = $pre . $ss;
}
 	fwrite($fp,$ss);

} else {
	chmod($flexss, 0755);
	if (is_writable($flexss)) {
    ob_start(); 
    include (TEMPLATEPATH. '/style.php');
    $ss = ob_get_contents();
 	ob_end_clean();
 	$fp=fopen($flexss,"w");
 	
if (get_option('flex_css_pack') == "yes") { 	
	$ss = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $ss);
	$ss = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $ss);
	$pre = '/*  
Theme Name: Flexibility3
Theme URI: http://www.flexibilitytheme.com/
Description: Flexibility Theme allows you to unleash your creativity without having to know code!
Version: 1.0
Author: Advantus Media, Inc.
Author URI: http://www.flexibilitytheme.com
Tags: dark, light, two-columns, custom-colors, custom-header, theme-options, right-sidebar, threaded-comments
*/
';

$ss = $pre . $ss;
}
 	fwrite($fp,$ss);
	chmod($flexss, 0644);
	} else {
    header("Location: themes.php?page=theme_options.php&stylesheeterror=true");
                die;
}
}
}


    global $themename, $shortname, $foldername, $options, $wpdb;
	$table = $wpdb->prefix . 'options';
	
    if ( $_GET['page'] == basename(__FILE__) ) {
		
		if ( 'import' == $_REQUEST['action'] ) {
			
				$ext = strrchr( $_FILES['importfile']['name'], ".");
 
  				 if($ext == ".csv") {
					
				$name = "temp.csv";
				
 					if(file_exists($name))
						unlink($name);
						fopen($name,"w+");
    					move_uploaded_file($_FILES["importfile"]["tmp_name"], $name) or die("There was an error. Double check you are using a valid " . $themename . " CSV file. Otherwise it could be a permissions issue on your server. You may need to create a file named temp.csv in your wp-admin folder and give it write permissions in order to import the CSV file.");
						$row = 2;
						$handle = fopen ("temp.csv","r");
						while ($data = fgetcsv ($handle, 1000, ",")) {
						$id = $data[1];
						$std = $data[2];
    					update_option( $id, $std); 
						$row++; }
						fclose ($handle); 
						themechange();
						header("Location: themes.php?page=theme_options.php&imported=true");
                die;
				
						} 
		 else { 
			header("Location: themes.php?page=theme_options.php&badfiletype=true"); die;
		}
		}			
        else if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
             themechange();
           header("Location: themes.php?page=theme_options.php&saved=true");
                die;
				}
				


         else if( 'reset' == $_REQUEST['action'] ) {
			$result = $wpdb->get_results("SELECT option_name, option_value FROM " . $table . " WHERE option_name REGEXP '^flex_'", ARRAY_A) or die(mysql_error());
            foreach ($result as $value) {
                delete_option( $value['option_name'] ); }
             themechange();
            header("Location: themes.php?page=theme_options.php&reset=true");
            die;
        }
    }


function mytheme_admin() {
    global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
	if ( $_REQUEST['imported'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings imported.</strong></p></div>';
	if ( $_REQUEST['badfiletype'] ) echo '<div id="message" class="error fade"><p><strong>Only import valid '.$themename.' CSV files.</strong></p></div>';
	if ( $_REQUEST['stylesheeterror'] ) echo '<div id="message" class="error fade"><p><strong>Your stylesheet is not writable.</strong> Loosen the write permissions on <strong>style.css</strong> until you no longer see this message when saving. The default value is 644 on most servers, but you may need to increase it for your particular server. You may also have the theme installed improperly. Make sure the theme folder structure is /wp-content/themes/flexibility3/ and nothing different.</p></div>';
?>
<style type="text/css">
#tabs ul li {
	padding-bottom:0px;
}
.ui-tabs-nav li {
	white-space:nowrap;
}
#tabs {
	display: none;
}
#wpbody th {
	font-size:12px;
	font-weight:bold;
}
#tabs ul.ui-tabs-nav a {
	font-size:11px;
	font-weight:bold;
}
input.color {
	border:1px solid #ccc;
	-moz-border-radius:4px;
	-khtml-border-radius:4px;
	-webkit-border-radius:4px;
	border-radius:4px;
background:url(<?php echo get_bloginfo('template_directory');
?>/images/palette.png) no-repeat top right;
}
</style>
<div class="wrap">
  <h2 style="line-height:28px;">Flexibility Theme Version 3.0</h2>
  <?php $ifnum = rand(1,4); ?>
  <iframe id="details" name="details" width="95%" height="60"  src="http://advantus.s3.amazonaws.com/flexibilitypromo<?php echo $ifnum; ?>.html" frameborder="0" marginwidth="0" marginheight="0" scrolling="no" allowtransparency="true"></iframe>
  <div id="tabs">
    <!-- The tabs -->
    <ul>
      <li><a href="#tabs-0">
        <?php _e('Flexibility 3 Updates &amp; Info'); ?>
        </a></li>
      <li><a href="#tabs-1">
        <?php _e('Quick Change Settings'); ?>
        </a></li>
      <li><a href="#tabs-2">
        <?php _e('Blog/Sidebar Widths'); ?>
        </a></li>
      <li><a href="#tabs-3">
        <?php _e('Background/Borders'); ?>
        </a></li>
      <li><a href="#tabs-4">
        <?php _e('Blog Overall Fonts/Colors'); ?>
        </a></li>
      <li><a href="#tabs-5">
        <?php _e('Header'); ?>
        </a></li>
      <li><a href="#tabs-6">
        <?php _e('Navigation'); ?>
        </a></li>
      <li><a href="#tabs-7">
        <?php _e('Top Feature'); ?>
        </a></li>
      <li><a href="#tabs-8">
        <?php _e('Posts'); ?>
        </a></li>
      <li><a href="#tabs-9">
        <?php _e('Comments'); ?>
        </a></li>
      <li><a href="#tabs-10">
        <?php _e('Top Sidebar'); ?>
        </a></li>
      <li><a href="#tabs-11">
        <?php _e('Sub-sidebars'); ?>
        </a></li>
      <li><a href="#tabs-12">
        <?php _e('Footer'); ?>
        </a></li>
      <li><a href="#tabs-13">
        <?php _e('Adsense'); ?>
        </a></li>
      <li><a href="#tabs-14">
        <?php _e('Analytics/Javascript'); ?>
        </a></li>
      <li><a href="#tabs-15">
        <?php _e('Custom CSS Code'); ?>
        </a></li>
      <li><a href="#tabs-16">
        <?php _e('Import/Reset'); ?>
        </a></li>
      <li><a href="#tabs-17">
        <?php _e('Remove Footer Links'); ?>
        </a></li>
      <li><a href="#tabs-18" onclick="loadskins()">
        <?php _e('Theme Skins'); ?>
        </a></li>
    </ul>
    <form method="post" name="flexibilityoptions" action="#">
      <div id="tabs-0">
        <table class="form-table">
          <tr>
            <td><iframe id="imtools" name="imtools" width="98%" height="800" src="http://advantus.s3.amazonaws.com/flexibility3-updates.html" frameborder="0" marginwidth="0" marginheight="0" scrolling="no" ></iframe></td>
          </tr>
        </table>
      </div>
      <div id="tabs-1">
        <table class="form-table">
          <tr valign="top">
            <th scope="row">Theme Color Changer:</th>
            <td width="175"><input name="themewide" id="themewide" class="color {pickerMode:'HVS',pickerFaceColor:'#555555',pickerInsetColor:'black'}"  value="<?php if(get_option('flex_sidebar_titlebackground')) { echo get_option('flex_sidebar_titlebackground'); } else { echo 'A10000'; } ?>" style="width:75px;"/>
              <p class="submit">
                <input name="savecolors" type="button" value="Change Colors" onclick="copyIt()"/>
              </p></td>
            <td>Very quickly change the main theme colors by making one color picker selection. You can then fine-tune your colors as you wish with all the other theme option tabs.<br/>
              <br/>
              <strong>Step 1:</strong> Click on the text box to open the colorpicker<br/>
              <strong>Step 2:</strong> Choose your new color <br/>
              <strong>Step 3:</strong> Click outside the colorpicker to close it <br/>
              <strong>Step 4:</strong> <strong>Click the Change Colors button and preview your new color scheme.</strong></td>
          </tr>
          <tr valign="top">
            <th scope="row">Theme Lightness Selector</th>
            <td width="175"><select name="lightness" id="lightness">
                <option value="" selected="selected">Choose a lightness...</option>
                <option value="dark">Dark</option>
                <option value="medium">Medium</option>
                <option value="light">Light</option>
              </select>
              <p class="submit">
                <input name="savelightness" type="button" value="Change Lightness" onclick="copyItLight()"/>
              </p></td>
            <td>Change the lightness/darkness of the theme by selecting an option and clicking the 'Change Lightness' button. Then preview your site to see the new changes. You can then fine tune your settings in the other settings tabs. <br/>
              <strong>Remember!</strong> You can always reset the theme back to it's default settings by clicking the reset button in the Reset tab!</td>
          </tr>
          <tr valign="top">
            <th scope="row">Theme Layout Changer</th>
            <td width="175"><select name="layout" id="layout">
                <option value="" selected="selected">Choose a layout...</option>
                <option value="960single">960 pixels, single sidebar</option>
                <option value="960dual">960 pixels, dual sub sidebars</option>
                <option value="880single">880 pixels, single sidebar</option>
                <option value="880dual">880 pixels, dual sub sidebars</option>
                <option value="760single">760 pixels, single sidebar</option>
                <option value="AdSense">AdSense Optimized</option>
              </select>
              <p class="submit">
                <input name="savelayout" type="button" value="Change Layout" onclick="copyItLayout()"/>
              </p></td>
            <td>Quickly change the width of your blog and the sidebar configuration by choosing a layout and clicking the 'Change Layout' button. Then preview your site to see the new changes.</td>
          </tr>
          <?php foreach ($options as $value) { 

              if ($value['tab'] != "") { ?>
        </table>
      </div>
      <div id="tabs-<?php echo $value['tab']; ?>">
        <table class="form-table" style="margin-bottom:40px;">
          <?php } else { ?>
          <?php 
} 
              
if ($value['type'] == "text") { ?>
          <tr valign="top"> <?php echo $value['title']; ?>
            <th scope="row"><?php echo $value['name']; ?>:</th>
            <td width="175"><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
            <td><?php echo $value['descr']; ?></td>
          </tr>
          <?php } elseif ($value['type'] == "textarea") { ?>
          <tr valign="top"> <?php echo $value['title']; ?>
            <th scope="row"><?php echo $value['name']; ?>:</th>
            <td width="175"><textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" cols="25" rows="7"><?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'] )); } else { echo $value['std']; } ?>
</textarea></td>
            <td><?php echo $value['descr']; ?></td>
          </tr>
          <?php } elseif ($value['type'] == "color") { ?>
          <tr valign="top"> <?php echo $value['title']; ?>
            <th scope="row"><?php echo $value['name']; ?>:</th>
            <td width="100"><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" class="color {pickerMode:'HVS',pickerFaceColor:'#555555',pickerInsetColor:'black'}" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" style="width:80px;" /></td>
            <td><?php echo $value['descr']; ?></td>
          </tr>
          <?php } elseif ($value['type'] == "somecode") { ?>
          <tr valign="top"> <?php echo $value['title']; ?>
            <th scope="row"><?php echo $value['name']; ?>:</th>
            <td colspan="2"><?php echo $value['descr']; ?><br/>
              <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" cols="50" rows="10"><?php if ( get_option( $value['id'] ) != "") { echo stripslashes(format_to_edit(get_option( $value['id'] ))); } else { echo $value['std']; } ?>
</textarea></td>
          </tr>
          <?php } elseif ($value['type'] == "select") { ?>
          <tr valign="top"> <?php echo $value['title']; ?>
            <th scope="row"><?php echo $value['name']; ?>:</th>
            <td><select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                <?php foreach ($value['options'] as $option) { ?>
                <option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                <?php } ?>
              </select></td>
            <td><?php echo $value['descr']; ?></td>
          </tr>
          <?php 
} 
}
?>
        </table>
        <input type="hidden" name="flex_hash" value="<?php if ( get_option( 'flex_hash' ) != "") { echo get_option( 'flex_hash' ); } else { echo $value['std']; } ?>" />
      </div>
    </form>
    <div id="tabs-16">
      <table class="form-table">
        <tr>
          <td><h2>Theme Management</h2>
            <p>Reset your theme to default settings, export or import theme settings.</p></td>
        </tr>
        <tr>
          <td><h2>Import FlexSqueeze Theme Skins</h2></td>
        </tr>
        <tr>
          <td><form enctype="multipart/form-data"  method="post" action="#" name="importform"  onsubmit="return validate()">
              <p class="submit">
                <input type="file" id="importfile" name="importfile" accept="file/plaintext" />
                <input type="hidden" name="action" value="import" />
                <input name="submit" type="submit" value="Import Settings"/>
                <br/>
                <br/>
                Flexibility 3 now allows you to import skins created for <a href="http://www.flexsqueeze.com/theme-skins/">FlexSqueeze theme</a>. This function will overwrite your current theme settings. If you are importing a purchased skin file, browse to the CSV file included in your skin zip file and click the 'Import Settings' button. For theme skins import, you will need to upload the included header image to your media library and paste the full URL into the 'Header custom image' option under the Header tab.</p>
            </form></td>
        </tr>
        <tr>
          <td><h2>Reset Theme</h2></td>
        </tr>
        <tr>
          <td><?php if (!get_option('flex_blog_width')) { ?>
            <p>No options are currently stored in the database</p>
            <?php } else { ?>
            <form method="post" action="#">
              <p class="submit">
                <input name="reset" type="submit" value="Reset" onClick='return confirm("Are you sure your want to reset your theme? This action cannot be undone!")'/>
                Reset Flexibility theme colors and styles to the original downloaded settings. This removes all options from the database.
                <input type="hidden" name="action" value="reset" />
              </p>
            </form>
            <?php } ?></td>
        </tr>
      </table>
    </div>
    <script type="text/javascript">
function loadskins() {
document.getElementById('skins').setAttribute('src','http://advantus.s3.amazonaws.com/flexsqueeze-skins.html');
document.getElementById('skinlink').style.display = "none";
}
</script>
    <div id="tabs-17">
      <table class="form-table">
        <tr>
        <td>
        
        <form method="post" action="#" name="licenseform"  onsubmit="return kxp6()">
        
        <h2>Support the Theme you Love</h2>
        <p>Show your support for Flexibility Theme and purchase it! It's dirt cheap and having a little income to offset my development time would be A-OK!</p>
        <p>When you buy the theme you get a version of the the theme with no footer links, and I'll occassionally be giving away bonuses along with the purchase.<br/>
          <br/>
          <a href="http://www.flexibilitytheme.com/buy-flexibility/" target="_blank">Theme purchase information</a></p>
        </td>
        
        </tr>
        
      </table>
    </div>
    <div id="tabs-18">
      <table class="form-table">
        <tr>
          <td><h2>Theme Skins</h2>
            <p>Theme skins can be imported and instantly transform your site to target a specific niche or topic. Skins are great for AdSense and affiliate product sites because having a theme specifically targeted to your niche helps increase your conversion rate.</p>
            <p>Clicking on a skin will take you to the skin details at FlexSqueeze.com, but all FlexSqueeze skins are compatible with Flexibility 3.</td>
        </tr>
        <tr>
          <td><a id="skinlink" href="javascript:void(0);" onclick="loadskins()">Click to load skins</a>
            <iframe id="skins" name="skins" width="98%" height="800" src="" frameborder="0" marginwidth="0" marginheight="0" scrolling="yes" ></iframe></td>
        </tr>
        <tr>
          <td></td>
        </tr>
      </table>
    </div>
  </div>
  <!-- end of tabbed div -->
</div>
<?php
}
function add_script() { 
	wp_enqueue_script('jquery');
	wp_enqueue_script('jquery-ui-core');
	wp_enqueue_script('jquery-ui-tabs');
	wp_enqueue_script('jscolor', get_bloginfo('stylesheet_directory') . '/js/jscolor/jscolor.js', array('jquery'), '', true);
	wp_enqueue_script('jscookie', get_bloginfo('stylesheet_directory') . '/js/jquery.jscookie.js', array('jquery'), '', true );
	wp_enqueue_script('shadowbox', get_bloginfo('stylesheet_directory') . '/js/shadowbox-3.0.3/shadowbox.js', array('jquery'), '' );
	wp_enqueue_style('shadowbox', get_bloginfo('stylesheet_directory') . '/js/shadowbox-3.0.3/shadowbox.css' );
	wp_enqueue_style('jqueryui', get_bloginfo('stylesheet_directory') . '/js/jquery-ui-1.8/css/jqueryui.css' );
	wp_enqueue_script('custom', get_bloginfo('stylesheet_directory') . '/js/custom.js', array('jquery', 'jscookie'), '', true );
?>
<?php 
}
}
?>